How to upgrade from an older softmod to a current one

Discussion in 'Wii - Hacking' started by itayda, Aug 29, 2010.

  1. itayda
    OP

    Newcomer itayda Member

    Joined:
    Jan 20, 2008
    Messages:
    28
    Country:
    Israel
    Hello,

    I have used a guide called 'Wii Softmodding for Dummies v4.1' on the following site

    http://wiiguide.co.cc/

    to softmod my Wii (it has firmware 3.1U)

    It uses BannerBomd v1, installs IOS16, CIOS249, homebrew channel, Wii backup launcher 0.3, SD USB loader and
    GC backup launcher 0.2.

    Then, It instructed to install cIOS36 (rev 10) and cMIOS (rev 3) which I did.

    After reset, I had the new channels, and I was able to load Mario Super Galaxy and other older games using
    the backup loader.

    Here is the list of files on the SD for the procedure :


    I:\cetk
    I:\boot.dol
    I:\IOS36-64-v1042.wad
    I:\RVL-mios-v8.wad
    I:\apps
    I:\installer
    I:\private
    I:\wad
    I:\apps\cIOS36 rev10 Installer
    I:\apps\cMIOS rev3 Installer
    I:\apps\homebrew_browser
    I:\apps\WAD Manager 1.4
    I:\apps\cIOS36 rev10 Installer\boot.dol
    I:\apps\cIOS36 rev10 Installer\icon.png
    I:\apps\cIOS36 rev10 Installer\meta.xml
    I:\apps\cMIOS rev3 Installer\boot.dol
    I:\apps\cMIOS rev3 Installer\icon.png
    I:\apps\cMIOS rev3 Installer\meta.xml
    I:\apps\homebrew_browser\boot.dol
    I:\apps\homebrew_browser\icon.png
    I:\apps\homebrew_browser\loop.mod
    I:\apps\homebrew_browser\meta.xml
    I:\apps\homebrew_browser\settings.xml
    I:\apps\WAD Manager 1.4\boot.dol
    I:\apps\WAD Manager 1.4\icon.png
    I:\apps\WAD Manager 1.4\meta.xml
    I:\installer\GC Backup Launcher 0.2 Donkhe - GCBL.wad
    I:\installer\HBC.wad
    I:\installer\SD USB Loader-USBL.wad
    I:\installer\Wii Backup Launcher 03g Wiiish v2 EN.wad
    I:\private\wii
    I:\private\wii\title
    I:\private\wii\title\aktn
    I:\private\wii\title\aktn\content.bin
    I:\wad\cIOS249.wad
    I:\wad\IOS16-64-v257-prod.wad


    Since the files are dated to May 2009, I figured that newer games would probably require updates

    I read a lot of stuff in many forums and saw that a lot recommend neogamma-r8-final , I understood
    (and correct me if I am wrong) that it is the newer backup launcher application.

    I would like to play Super Mario Galaxy 2 and New Super Mario Wii, so I would like to ask the following questions :

    1. Do I need to update the Wii's firmware (currently at 3.1U) to play these games using a softmod.
    2. I saw that I need to update many IOS's but did not quite understand which and in what order - could someone please
    explain what I need to upgrade and how to do this (is there an 'upgrade' tutorial) ?
    3. I now understand how to install apps using the Wad-Manager, after I have installed all IOS updates
    (and maybe upgraded the firmware) - do I just use the wad-manager to install a new neogamma (r8).


    Also, I saw a way to backup the Wii's flash (nand), but did not quite understand how it is integrated
    in the whole softmod process (I think it was Doop-Mii).

    I would appreciate any help since I've spent many hours reading and searching, but I am still a newbie,
    so I would like to get some expert directions.

    It feels strange, I helped many newbies in the DS with their questions but now I'm the newbie :-)


    Thank you very much for your help :-)
     
  2. bwillb

    Member bwillb GBAtemp Advanced Fan

    Joined:
    Jul 2, 2009
    Messages:
    620
    Country:
    United States
    main thing you need for new games is new IOS files, though having up to date cIOS and homebrew doesn't hurt either. Download the NUS Auto Downloader from the sticky above, enter the wizard, follow instructions.

    edit: Sorry, its called "ModMii" now. damn you, Xflak
     
  3. itayda
    OP

    Newcomer itayda Member

    Joined:
    Jan 20, 2008
    Messages:
    28
    Country:
    Israel
    Wow, thanks bwillb,
    I tried the application, looks great,
    Just one more question, in the 'select firmware to upgrade to page', 4.1 is in green and recommended,
    but 4.2 is in white without any text, what firmware do I need for mario super galaxy 2 and new super mario wii ?

    Thanks :-)
     
  4. Hozu

    Member Hozu GBAtemp Regular

    Joined:
    Aug 25, 2010
    Messages:
    239
    Country:
    Canada
    You just need the IOSs (I'm not sure which ones specifically but if you have all the most recent ones you're fine). System menu doesn't matter.
     
  5. bwillb

    Member bwillb GBAtemp Advanced Fan

    Joined:
    Jul 2, 2009
    Messages:
    620
    Country:
    United States
    4.2 was sort of an anti-hack patch, nothing more. its safe to upgrade to it with the current tools, but there is no reason to do so. same with 4.3, but its less safe at the current time
     
  6. Sicklyboy

    Global Moderator Sicklyboy Resident Mechanical Keyboard Addict

    Joined:
    Jul 15, 2009
    Messages:
    5,620
    Location:
    [̲̅$̲̅(̲̅ ͡° ͜ʖ ͡°̲̅)̲̅$̲̅]
    Country:
    United States
    I would go with 4.1 or 4.2
     
  7. itayda
    OP

    Newcomer itayda Member

    Joined:
    Jan 20, 2008
    Messages:
    28
    Country:
    Israel
    Thank you for your help, with your permission, I have a few more questions

    1. Do I MUST upgrade the firmware from 3.1U to say 4.1U so that
    newer games (especially super mario galaxy 2 and new super mario bros wii) will work ?

    The ModMii wizard doesn't have another option, so if I don't need to upgrade the FW,
    what else I need to upgrade ?


    2. What is safer - to "uninstall" the softmod I made (I have no clue how to do it yet, except
    use the wad manager to uninstall the channels, how do I uninstall the ios/cios ?),
    and then run ModMii wizard (mentioning that this is a virgin Wii), or just let ModMii wizard know
    that this Wii was already modified and follow the guide ?

    3. I do not need/want to channels offered by the ModMii wizard (like weather, news etc.)
    but I want to ask what is a must from the other components it offers :


    * Download HackMii Installer and BannerBomb v1 (with IOS58)
    * Download recommended cIOSs and cMIOS
    * Download Yet Another Wad Manager Mod (YAWMM)
    * Download IOS236 Installer (with IOS36v3351)?
    * Download Priiloader
    * Download Extra Brick Protection
    * Update active IOSs


    4. From reading a lot, I understand that the most recommended backup loader (run
    dvd backups) is Neogamma, it is not installed as part of the wizard, is there any other
    backup loader installed ? or do I need to choose screen '2', then 'NEO', copy the output
    to the SD and install it after I have finished the instructions of the ModMii guide.

    5. I mentioned in my initial message what software I installed when using the 'dummies 4.1'
    guide - i.e. backup loader - what will happen to it after I use the ModMii wizard output
    and upgrade ?

    Thank you very much for you help, it is greatly appreciated :-)
     
  8. Krestent

    Member Krestent What to post?

    Joined:
    Mar 31, 2009
    Messages:
    3,952
    Country:
    United States
    1. You don't need to change the system menu version unless you want to.
    2. Do not uninstall the softmod, it's very risky.
    3. Hackmii Installer (to install Bootmii as boot2 and IOS, and to update the HBC), Priiloader
    4. You need to get it manually
    5. It might be gone.
     
  9. itayda
    OP

    Newcomer itayda Member

    Joined:
    Jan 20, 2008
    Messages:
    28
    Country:
    Israel
    Thanks for the info, what benefits I get if I upgrade to 4.1 ?
    Shouldn't I also update any ios/cios (recommended one) ?

    Thanks :-)
     
  10. mike333

    Member mike333 GBAtemp Advanced Fan

    Joined:
    Aug 30, 2010
    Messages:
    706
    Country:
    Poland
    If You're playing from usb loader then there is no point of update.
    New SM requires installation of 1 IOS.
    New game (legit one) might need new IOS - just check it's number and install it using DOP-Mii.
     

Share This Page